
main {
    flex-grow: 1;
    width: 70%;
    margin: auto;
}

.mainInfo {
    display: flex;
    justify-content: center;
    gap: 2rem;
}

.mainInfo svg { width: 5rem; }

.mainLogin {
    max-width: 600px;
    border: 4px solid #2c2c2c;
    padding: clamp(1rem,calc(.125rem + 3vw),2.5rem);
    display: flex;
    gap: 2rem;
    background-color: #00000014;
    border-radius: 2rem;
    flex-direction: column;
    margin: 0 auto;
      margin-top: 0px;
    margin-top: 5rem;
}

.mainLogin button {
    align-items: center;
    background-image: linear-gradient(144deg,#AF40FF, #5B42F3 50%,#00DDEB);
    border-radius: 1.2em;
    display: flex;
    justify-content: center;
    line-height: 1em;
    text-decoration: none;
    touch-action: manipulation;
    white-space: nowrap;
    cursor: pointer;
    user-select: none;
    height: 3rem;
    color: white;
    border: 0;
}

.mainLogin input {
    padding: 0.5rem;
    border: 1px solid #2c2c2c;
    border-radius: 0.5rem;
    width: 100%;
}

.mainLogin label {
    display: block;
}

.mainUserMenu {
position: fixed;
  width: 15rem;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding-top: 2rem;
  z-index: 1;
}

.mainUserMenuButton {
padding: 0.5rem 1rem;
  display: grid;
  gap: 1rem;
  grid-template-columns: min-content auto;
  text-align: left;
  cursor: pointer;
}

.mainUserMenuButton:hover {
    /* background-color: #00000063; */
    color: #b9cfd3;
  
}
